.TH XTITLECLOCK 1 
.SH NAME
xtitleclock \- display the current time/date in window headers
.SH SYNOPSIS
.B xtitleclock
[\fB\-d\fP \fIdisplay\fP]
[\fB\-t\fP \fIn\fP]
[\fB\-f\fP \fIformat\fP]
[\fB\-l\fP \fItitlelen\fP]
[\fB\-L\fP \fIdatelen\fP]
[\fB\-x\fP \fIprogram\fP]
[\fB\-r\fP \fIinterval\fP]
.SH DESCRIPTION
\fIXtitleclock\fP displays the current time and/or date in the window title
of the current window (the one with the input focus) and up to a freely
selectable numbers of previous windows. The exact format of the date can
be changed with an option.
.SH OPTIONS
.IP "\fB\-d\fP \fIdisplay\fP"
Defines the display to be used.
.LP
.IP "\fB\-t\fP \fIn\fP"
Defines on how many windows the time/date should be displayed
.LP
.IP "\fB\-f\fP \fIformat\fP"
Set the time/date format. It uses the same format as the strftime(3) function.
The default value is "%d.%m.%y  %H:%M:%S".
.LP
.IP "\fB\-x\fP \fIprg\fP"
Execute this program and capture its standard output. This output will
be used to replace a single $$ in the format string. 
.LP
.IP "\fB\-r\fP \fIn\fP"
Define the interval in seconds in which the external program should run.
Default is 60 seconds.
.LP
.IP "\fB\-l\fP \fIlen\fP"
Any title will be cut after that many characters in order to make space 
for the date. The default value is 300.
.LP
.IP "\fB\-L\fP \fIlen\fP"
The number of characters that can be used for the date. The default value is 40.
.LP
.SH EXAMPLES
The command 
.IP
.B xtitleclock -t 99 -x "sed 's/.* \([0-9]*%.*\)/\1/' < /proc/apm"
.PP
shows the current date (in European format), time (24h) and, on Linux systems
with running power management, the current load of the battery. For a simple
US format use
.IP
.B xtitleclock -f '%D  %r' -t 99
.PP
.SH SEE ALSO
xclock(1), strftime(3)
.SH AUTHOR
Claudio Fleiner
.br
E\-mail: claudio\@fleiner.com
.SH BUGS
This program does work on my computer, but YMMV of course. 
Use this program at your own risk, as it may do nasty things to your computer.
You have been warned!
.SH NEW VERSION
Check http://www.fleiner.com/xtitleclock/
